The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Attack Filters Defined in a Domain

Prev Next

This URL gets all the attack filters defined in the specified domain.

Resource URL

GET /attackfilters?domain=<domain_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

ID of domain in which the attack filter has been created

Number

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

AttackFilterDescriptor

List of attack filters with basic details

Array

Details of object in AttackFilterDescriptor:

Field Name

Description

Data Type

VisibleToChild

Attack filter visible to child domain

Boolean

DomainId

ID of domain in which the attack filter was added

Number

IsEditable

If attack filter editable

Boolean

LastModTs

Last modified timestamp

String

filterId

Attack filter id

Number

name

Attack filter name

String

Example

Request

GET https://<NSM_IP>/sdkapi/ attackfilters?domain=0

Response

{
  "AttackFilterDescriptor": [
    {
      "VisibleToChild": false, 
      "name": "test1", 
      "IsEditable": false, 
      "filterId": 419, 
      "DomainId": 0, 
      "LastModTs": "2012-07-24 00:14:00"
    }, 
    {
      "VisibleToChild": false, 
      "name": "test2", 
      "IsEditable": false, 
      "filterId": 420, 
      "DomainId": 0, 
      "LastModTs": "2012-07-24 00:19:00"
    }
  ]
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain